=== debian/changelog ===
pymvpa2 (2.2.0-4ubuntu2) trusty; urgency=medium

  * debian/patches/python3_test_support.diff: added to update a test for
    python3

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 Feb 2014 11:25:51 -0800

pymvpa2 (2.2.0-4ubuntu1) trusty; urgency=medium

  * Don't lookup sphinx extensions in /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2014 17:03:27 +0100

pymvpa2 (2.2.0-4) unstable; urgency=low

  * debian/control:
    - specify git branch for debian packaging of pymvpa2. Thanks Julien
      Cristau for the report
    - build-depends on python-numpydoc
    - recommend python-pprocess (removed from the Debian archive since we
      missed a dependency on it and otherwise was unused, but is present
      from NeuroDebian )
    - policy boosted to 3.9.5 (no changes)
  * debian/rules:
    - mkdir target -lib directories before moving .so files.  It should resolve
      FTBFS with debhelper 9.20130507 and robustify build
    - quote paths with globs to avoid their expansion in find command.
      Thanks Julien Cristau for the hint

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Dec 2013 08:55:02 -0500

pymvpa2 (2.2.0-3) unstable; urgency=low

  * debian/patches
    - changeset_bab55a4a390c9c4b337ead5877868f7f7debc208.diff
      Tollerate "Probabalistic" (mention the typo) and "fixed"
      FSL atlases

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 06 May 2013 15:02:58 -0400

pymvpa2 (2.2.0-2) unstable; urgency=low

  * debian/patches
    - changeset_79bc8ecad13fe43447f8a262ed03147cbe7da326.diff
      changeset_cdba16f73f5aa74cf3002f027a1d38e408b0361b.diff
      Address numpy 1.7.1 compatibility in unittests

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 30 Apr 2013 11:35:24 -0400

pymvpa2 (2.2.0-1) unstable; urgency=low

  * Fresh upstream release:
    - provides tutorial (in -doc package) as ipython notebooks.
      Added ipython-notebook into Suggests
    - all cmdline tools have disambiguating prefix thus are
      installed now without conflict with pymvpa (0.4.x) package.
  * Dropping support of python 2.5 (failing tests) -- added X-Python-Version

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 16 Sep 2012 06:23:51 -0400
