=== debian/watch ===
version=3
http://alioth.debian.org/frs/?group_id=30954 .*/pymvpa_([\d\.]+)\.tar\.gz
