## pymvpa2 2.3.1

=== Makefile ===
--- 
+++ 
@@ -140,6 +140,7 @@
 # clean docs
 	$(MAKE) -C doc clean
 	-@rm -f $(DOCSRC_DIR)/examples/*.rst
+	-@rm -f $(DOCSRC_DIR)/cmdline/*.rst
 # clean all bits and pieces
 	-@rm -f MANIFEST
 	-@rm -f mvpa2/clfs/lib*/*.so \
@@ -187,10 +188,20 @@
 	@echo "I: Creating manpages"
 	PYTHONPATH=$(LPYTHONPATH) help2man -N -n 'preprocess fMRI data for PyMVPA' \
 		bin/pymvpa2-prep-fmri > $(MAN_DIR)/pymvpa2-prep-fmri.1
-	PYTHONPATH=$(LPYTHONPATH) help2man -N -n 'query stereotaxic atlases' \
-		bin/pymvpa2-atlaslabeler > $(MAN_DIR)/pymvpa2-atlaslabeler.1
 	PYTHONPATH=$(LPYTHONPATH) help2man -N -n 'start a PyMVPA tutorial session' \
 		bin/pymvpa2-tutorial > $(MAN_DIR)/pymvpa2-tutorial.1
+	PYTHONPATH=$(LPYTHONPATH) help2man --no-discard-stderr -N -n \
+			'preprocess FreeSurfer surfaces for AFNI/SUMA' \
+			bin/pymvpa2-prep-afni-surf > $(MAN_DIR)/pymvpa2-prep-afni-surf.1
+	PYTHONPATH=$(LPYTHONPATH) help2man --no-discard-stderr \
+		--help-option="--help-np" -N -n "command line interface for PyMVPA" \
+			bin/pymvpa2 > $(MAN_DIR)/pymvpa2.1
+	for cmd in $$(tr "\n'," ' ' < bin/pymvpa2 | sed -e 's/.*enabled_cmds = \[//' -e 's/\].*//'); do \
+		summary="$$(grep 'man: -*-' < mvpa2/cmdline/cmd_$${cmd}.py | cut -d '%' -f 2-)"; \
+		PYTHONPATH=$(LPYTHONPATH) help2man --no-discard-stderr \
+			--help-option="--help-np" -N -n "$$summary" \
+				"bin/pymvpa2 $${cmd}" > $(MAN_DIR)/pymvpa2-$${cmd}.1 ; \
+	done
 
 references:
 	@echo "I: Generating references"
@@ -201,7 +212,7 @@
 	echo "backend : Agg" >| $(CURDIR)/build/matplotlibrc
 	touch $@
 
-htmldoc: examples2rst build pics mpl-stamp tutorial2notebooks
+htmldoc: examples2rst build pics mpl-stamp notebooks manpages
 	@echo "I: Creating an HTML version of documentation"
 	cd $(DOC_DIR) && MVPA_EXTERNALS_RAISE_EXCEPTION=off \
 		PYTHONPATH=$(CURDIR):$(PYTHONPATH) \
@@ -212,6 +223,7 @@
 	cd $(HTML_DIR)/workshops && ln -sf ../_static
 	cd $(HTML_DIR)/datadb && ln -sf ../_static
 	cp $(DOCSRC_DIR)/pics/history_splash.png $(HTML_DIR)/_images/
+	cp $(DOC_DIR)/pics/*-logo_h*.png $(HTML_DIR)/_static/
 
 pdfdoc: examples2rst build pics pdfdoc-stamp
 pdfdoc-stamp: mpl-stamp
@@ -237,10 +249,14 @@
 		--outdir $(DOCSRC_DIR)/examples \
 		--exclude doc/examples/searchlight_app.py \
 		doc/examples
-	touch $@
-
-tutorial2notebooks: tutorial2notebooks-stamp
-tutorial2notebooks-stamp:
+	tools/cmdex2rst \
+		--project PyMVPA \
+		--outdir $(DOCSRC_DIR)/cmdline/ \
+		doc/examples/cmdline
+	touch $@
+
+notebooks: notebooks-stamp
+notebooks-stamp: examples2rst
 	mkdir -p $(NOTEBOOKBUILD_DIR)
 	tools/rst2ipnbpy \
 		--baseurl http://pymvpa.org \
@@ -248,8 +264,9 @@
 		--glossary_baseurl http://pymvpa.org/glossary.html \
 		--outdir $(NOTEBOOKBUILD_DIR) \
 		--exclude doc/source/tutorial_prerequisites.rst \
+		--exclude doc/source/examples/searchlight_surf.rst \
 		--verbose \
-		doc/source/tutorial_*.rst
+		doc/source/tutorial_*.rst doc/source/examples/*.rst
 	touch $@
 
 apidoc: apidoc-stamp
@@ -352,24 +369,3 @@
 	@cd $(TEST_DIR) && PYTHONPATH=mvpa2/tests/badexternals:$(LPYTHONPATH) \
 		MVPA_MATPLOTLIB_BACKEND=agg \
 		$(PYTHON) mvpa2/tests/__init__.py 2>&1 \
-		| grep -v -e 'WARNING: Known dependency' -e 'Please note: w' \
-		          -e 'WARNING:.*SMLR.* implementation'
-
-# only non-labile tests
-unittest-nonlabile: build
-	@echo "I: Running only non labile unittests. None of them should ever fail."
-	@cd $(TEST_DIR) && MVPA_TESTS_LABILE=no \
-		$(MPLPYTHON) mvpa2/tests/__init__.py
-
-unittest-py3: build3
-	@echo "I: Running py3-compatible unittests. None of them should ever fail."
-	-@rm -f build3-stamp	# evil Tiziano! ;)
-	@cd $(BUILD3DIR) && MVPA_TESTS_LABILE=no MVPA_TESTS_QUICK=yes \
-		MVPA_TESTS_LOWMEM=yes $(MPLPYTHON3) mvpa2/tests/__init__.py
-
-unittest-py3warn: build
-	@echo "I: Running unittests with py3 warnings. None of them should ever fail."
-	@MVPA_TESTS_LABILE=no MVPA_TESTS_QUICK=yes \
-		MVPA_TESTS_LOWMEM=yes $(MPLPYTHON) -3 mvpa2/tests/__init__.py
-
-
