=== debian/changelog ===
pymvpa2 (2.3.1-2) unstable; urgency=medium

  * debian/patches
    - changeset_f12e1c41b7cf6b59b686c8f78d55ffba1eced8e1.diff
      + debian/rules changes to cache intersphinx mappings under
      debian/intersphinx (Closes: #765300).  Thanks Sandro Tosi
      for the report and pointers to the resolution
    - changeset_5f62f33a7d84dca01c2aae69a4d4c0a00469ae7b.diff
      to fix up url to the h5py intersphinx
  * debian/upstream -> debian/upstream/metadata
  * debian/patches
    - deb_no_twitter_privacy_breach -- just refer to twitter instead

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 Oct 2014 11:56:59 -0400

pymvpa2 (2.3.1-1) unstable; urgency=medium

  * Fresh upstream release (should be tollerant now to scipy API change in
    1.4.0)
  * debian/watch
    - adjusted to monitor/fetch from github tags
  * debian/patches
    - all removed
  * debian/{control,rules}
    - use dh_python2 instead of deprecated pysupport
    - add matplotlib to build-depends and set its backend to Agg during
      testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 20 May 2014 08:43:24 -0400

pymvpa2 (2.3.0-3) unstable; urgency=low

  * debian/control
    - man2html to build-depends
  * debian/patches
    - 2.3.0-37-g269c43c.diff to resolve FTBFS on trusty

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 01 May 2014 14:23:56 -0400

pymvpa2 (2.3.0-1) unstable; urgency=low

  * Perspective fresh upstream release
    - contains all patches from under debian/patches/ so those are dropped
  * debian/control
    - recommend python-nipy
  * debian/rules
    - do not compress .sh scripts (cmdline examples)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 05 Mar 2014 23:00:31 +0100
