=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: pymvpa2
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian team <team@neuro.debian.net>
+Maintainer: NeuroDebian team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
-               python-all-dev (>= 2.4), python-support (>= 0.6), swig,
+               python-all-dev (>= 2.6.6-3~),
+               swig,
                python-numpy, python-scipy,
                python-nibabel,
                python-nose,
                python-h5py,
                python-lxml,
                libsvm-dev (>= 2.84.0),
-               help2man,
+               help2man, man2html,
                python-sphinx, python-numpydoc,
                graphviz, inkscape, imagemagick, bc,
+               python-matplotlib,
 Standards-Version: 3.9.5
 Homepage: http://www.pymvpa.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pymvpa.git
@@ -33,6 +34,7 @@
          python-matplotlib,
          python-mdp,
          python-nibabel,
+         python-nipy,
          python-psutil,
          python-psyco,
          python-pywt,
