=== debian/rules ===
--- 
+++ 
@@ -16,19 +16,21 @@
 # one ring to rule them all ...
 %:
 # need to enforce distutils, since we also have a makefile
-	dh $@ --buildsystem=python_distutils --builddirectory=build
+	dh $@ --with=python2 --buildsystem=python_distutils --builddirectory=build
 
 override_dh_auto_configure:
 	dh_auto_configure
 	mkdir -p $(CURDIR)/build
+	cp -rp debian/intersphinx doc/source/
 
 override_dh_auto_build:
 	dh_auto_build -- --with-libsvm
 	$(MAKE) manpages
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) htmldoc
+	http_proxy=http://127.0.0.1:9/ https_proxy=http://127.0.0.1:9/ \
+		$(MAKE) htmldoc
 	-rm build/html/_static/jquery.js build/html/_static/underscore.js
-	$(MAKE) tutorial2notebooks
+	$(MAKE) notebooks
 endif
 
 
@@ -46,7 +48,7 @@
 		echo "I: Running PyMVPA unittests using python$$buildver"; \
 		cd $(CURDIR)/debian/tmp/usr/lib/python$$buildver/*-packages && \
 		PYTHONPATH=. MVPA_TESTS_LABILE=no MVPA_TESTS_LOWMEM=yes \
-		MVPA_TESTS_QUICK=yes MVPA_TESTS_VERBOSITY=3 \
+		MVPA_TESTS_QUICK=yes MVPA_TESTS_VERBOSITY=3 MVPA_MATPLOTLIB_BACKEND=agg \
 		python$$buildver mvpa2/tests/__init__.py \
 		|| exit 1 ; find . -type f -name '*.pyc' -delete ; \
 	done
@@ -64,8 +66,8 @@
 	| grep -e 'pymvpa2-\(analysis\)' \
 	| xargs -r rm -rf
 
-override_dh_pysupport:
-	dh_pysupport
+override_dh_python2:
+	dh_python2
 	if [ -x /usr/bin/dh_numpy ]; then dh_numpy; fi
 
 override_dh_installchangelogs:
@@ -102,4 +104,10 @@
 
 ## immediately useable documentation and exemplar scripts/data
 override_dh_compress:
-	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv -X.ipynb
+	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv -X.ipynb -X.sh
+
+cache_intersphinx:
+	rm -rf debian/intersphinx
+	-rm doc/cache_intersphinx-stamp
+	make -C doc cache_intersphinx
+	mv doc/source/intersphinx debian/
