## pymvpa2 2.4.0

=== Makefile ===
--- 
+++ 
@@ -259,7 +259,7 @@
 notebooks-stamp: examples2rst
 	mkdir -p $(NOTEBOOKBUILD_DIR)
 	tools/rst2ipnbpy \
-		--baseurl http://pymvpa.org \
+		--baseurl http://pymvpa.org/examples \
 		--apiref_baseurl http://pymvpa.org/generated \
 		--glossary_baseurl http://pymvpa.org/glossary.html \
 		--outdir $(NOTEBOOKBUILD_DIR) \
@@ -368,4 +368,3 @@
 	@echo "I: Running unittests under assumption of missing optional externals."
 	@cd $(TEST_DIR) && PYTHONPATH=mvpa2/tests/badexternals:$(LPYTHONPATH) \
 		MVPA_MATPLOTLIB_BACKEND=agg \
-		$(PYTHON) mvpa2/tests/__init__.py 2>&1 \
