## pymvpa2 2.4.1

=== Makefile ===
--- 
+++ 
@@ -264,7 +264,6 @@
 		--glossary_baseurl http://pymvpa.org/glossary.html \
 		--outdir $(NOTEBOOKBUILD_DIR) \
 		--exclude doc/source/tutorial_prerequisites.rst \
-		--exclude doc/source/examples/searchlight_surf.rst \
 		--verbose \
 		doc/source/tutorial_*.rst doc/source/examples/*.rst
 	touch $@
@@ -368,3 +367,4 @@
 	@echo "I: Running unittests under assumption of missing optional externals."
 	@cd $(TEST_DIR) && PYTHONPATH=mvpa2/tests/badexternals:$(LPYTHONPATH) \
 		MVPA_MATPLOTLIB_BACKEND=agg \
+		$(PYTHON) mvpa2/tests/__init__.py 2>&1 \
