=== debian/changelog ===
pymvpa2 (2.4.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/{control,rules}
    - Use swig2.0 (or swig3.0 < 3.0.5).
      See https://github.com/swig/swig/issues/563

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 18 Nov 2015 13:24:34 -0500

pymvpa2 (2.4.0.1-1) unstable; urgency=medium

  * Upstream snapshot release
    - addresses compatibility issue with recent scipy
  * debian/patches/0001-BF-allow-to-compare-SmartVersion-None.patch
    - CPed from PR to resolve failing test whenever IPython is N/A

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Oct 2015 11:46:49 -0500
