## pymvpa2 2.5.0

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,14 @@
 SWARM_DIR=$(BUILDDIR)/swarm
 WWW_UPLOAD_URI=www.pymvpa.org:/home/www/www.pymvpa.org/pymvpa
 WWW_UPLOAD_URI_DEV=dev.pymvpa.org:/home/www/dev.pymvpa.org/pymvpa
-DATA_UPLOAD_URI=data.pymvpa.org:/home/www/data.pymvpa.org/www/datasets
-DATA_URI=data.pymvpa.org::datadb
+DATA_HOST=data.pymvpa.org
+DATA_DIR=datadb
+DATA_SUBDIRS='$(DATA_DIR)/tutorial_data \
+                  $(DATA_DIR)/mnist \
+                  $(DATA_DIR)/face_inversion_demo \
+                  $(DATA_DIR)/hyperalignment_tutorial_data \
+                  $(DATA_DIR)/haxby2001'
+DATA_UPLOAD_URI=$(DATA_HOST):/home/www/data.pymvpa.org/www/datasets
 SWARMTOOL_DIR=tools/codeswarm
 SWARMTOOL_DIRFULL=$(CURDIR)/$(SWARMTOOL_DIR)
 RSYNC_OPTS=-az -H --no-perms --no-owner --verbose --progress --no-g --exclude prev/
@@ -364,7 +370,3 @@
 
 # test if PyMVPA is working if optional externals are missing
 unittest-badexternals: build
-	@echo "I: Running unittests under assumption of missing optional externals."
-	@cd $(TEST_DIR) && PYTHONPATH=mvpa2/tests/badexternals:$(LPYTHONPATH) \
-		MVPA_MATPLOTLIB_BACKEND=agg \
-		$(PYTHON) mvpa2/tests/__init__.py 2>&1 \
