=== debian/changelog ===
pymvpa2 (2.5.0-2) unstable; urgency=medium

  * debian/control
    - swap order of swig2.0 and swig in build-depends to please buildds
      (Closes: #830394)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Jul 2016 09:33:17 -0400

pymvpa2 (2.5.0-1) unstable; urgency=medium

  * Fresh upstream feature release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 May 2016 16:55:18 -0400

pymvpa2 (2.4.3-1) unstable; urgency=medium

  * debian/control
    - recommends python-duecredit
    - do not require (absent atm) optional statsmodels on s390x

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 14 Mar 2016 20:59:58 -0400

pymvpa2 (2.4.2-1) unstable; urgency=medium

  * Fresh upstream release
    - compatible with swig 3 (Closes: #817000)
  * debian/control
    - boosted policy to 3.9.7
    - relaxed build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Mar 2016 20:35:31 -0500
