=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all-dev (>= 2.6.6-3~),
-               swig2.0 | swig (< 3.0.5),
+               swig | swig2.0,
                python-numpy, python-scipy,
                python-nibabel,
                python-nose,
@@ -16,9 +16,9 @@
                python-sphinx, python-numpydoc,
                graphviz, inkscape, imagemagick, bc,
                python-matplotlib,
-               python-statsmodels,
-Build-Conflicts: swig3.0 (>= 3.0.5),
-Standards-Version: 3.9.6
+               python-statsmodels [!s390x],
+               python-joblib
+Standards-Version: 3.9.7
 Homepage: http://www.pymvpa.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pymvpa.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/pymvpa.git -b dist2/debian/proper/sid
@@ -48,6 +48,7 @@
          python-pprocess,
          python-statsmodels,
          python-joblib,
+         python-duecredit,
 Suggests:
          fslview, fsl,
          python-mvpa2-doc,
